devel/p5-Mojo-IOLoop-Delay - The NetBSD Packages Collection

Promises/A+ and flow-control helpers (deprecated)

Mojo::IOLoop::Delay adds flow-control helpers to Mojo::Promise,
which can help you avoid deep nested closures that often result
from continuation-passing style.

This module has been extracted from Mojolicious and was removed
from it at the 9.0 release. It is kept here for backwards compatibility
purposes but there is no intention to maintain it further and it
should be migrated away from as your earliest convenience.

Though there is no intention of removing it from CPAN in the future
it should be treated as deprecated and the metadata will mark it
as such. It will receive no no-security-related changes going
forward.

Build dependencies

devel/p5-Module-Build-Tiny pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

www/p5-Mojolicious lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64p5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 10.0aarch64p5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 10.0earmv6hfp5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 10.0earmv6hfp5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 10.0earmv7hfp5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 10.0earmv7hfp5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 10.0i386p5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 10.0powerpcp5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 10.0powerpcp5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 10.0x86_64p5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 10.0x86_64p5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 8.0i386p5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 8.0powerpcp5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 8.0powerpcp5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 8.0x86_64p5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 9.0aarch64p5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 9.0aarch64p5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 9.0alphap5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 9.0alphap5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 9.0earmp5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 9.0earmp5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 9.0earmv6hfp5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 9.0earmv6hfp5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 9.0earmv7hfp5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 9.0earmv7hfp5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 9.0i386p5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 9.0m68kp5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 9.0m68kp5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 9.0mips64ebp5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 9.0mips64ebp5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 9.0powerpcp5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 9.0powerpcp5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 9.0sparc64p5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 9.0sparc64p5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 9.0sparcp5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 9.0sparcp5-Mojo-IOLoop-Delay-8.76.tgz
NetBSD 9.0x86_64p5-Mojo-IOLoop-Delay-8.76.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.